Skip to navigation

Enable or configure a load balancer endpoint

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

clusterIdstringRequired
Database cluster ID
typeenumRequired
Load balancer type
Allowed values:

Request

This endpoint expects an object.
cidrstringOptional
CIDR range allowed to reach the load balancer.
loadBalancerIPstringOptional

Pre-allocated private IP address for the load balancer.

Response

Load balancer configuration initiated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error